import 'package:clean/base/base_controller.dart';
import 'package:get/get.dart';
import '../../data/consts/event_report_id.dart';
import '../../handler/event_handler.dart';
import '../../router/app_pages.dart';
import '../wallpaper/wallpaper_view.dart';

class MoreController extends BaseController {

  storeCardClick() {
    EventHandler.report(EventId.event_02000);
    Get.toNamed(RoutePath.store);
  }
  privacySpaceClick() {
    EventHandler.report(EventId.event_05000);
    Get.toNamed(RoutePath.privacy);
  }
  walletClick() {
    EventHandler.report(EventId.event_06000);
    WallPaperPage.start();
  }
  settingClick() {
    EventHandler.report(EventId.event_07000);
    Get.toNamed(RoutePath.setting);
  }
  contactClick() {
    EventHandler.report(EventId.event_08000);
    Get.toNamed(RoutePath.contact);
  }
  photoAnalysisClick() {
    EventHandler.report(EventId.event_09000);
    Get.toNamed(RoutePath.analysis);
  }


}